Subject: Re: Vehicle's VIN in IPv6.

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 01 Apr 2011 12:17:42 +0200

Le 01/04/2011 01:29, Hesham Soliman a écrit :
>>
>>
>>
>> I don't think "go away" is the right answer. I think "your model
>> has flaws" is closer.
>>
>> The key message is that if they apply for patents in it (BMW) they
>> clearly see dollar-signs and its very hard to trump money.
>
> =>  I don't think it's as organised as you might think. People apply
> for patents all the time for a wide range of reasons and they don't
> necessarily reflect dollar signs.
>
> We've seen people from ITU suggest we embed IPv6 addresses in phone
> numbers ....etc before. The same type of education about
> locator/application identifier separation is needed here.

Right... makes me think upper layer suggestions can be made too.

E.g. if VIN is something like a service (like uCode microcode like
barcodes EPC), or like a printer name, then there may exist ways to map
VIN into a DNS record(?), and let the resolver map that service into an
appropriate IPv6 address.  Or an URI(?).  I am not quite sure about my
terminology here.

Is a car seen more like something providing web services.

I need to understand the problem better before discarding this VIN request.

Alex

>
> Hesham
>
>>
>>
>> -G
>> --------------------------------------------------------------------
>>
>>
>>
IETF
IPv6 working group mailing list
>> [email-masked] Administrative Requests:
>> https://www.ietf.org/mailman/listinfo/ipv6
>> --------------------------------------------------------------------
>
>>
>>
>
>
>>
--------------------------------------------------------------------
> IETF IPv6 working group mailing list [email-masked] Administrative
> Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------